Subject: Re: Packages manager not working in WSL emacs-25 build

From: Angelo Graziosi <[email-masked]>
Date: Sat, 15 Apr 2017 00:32:28 +0200

Just for the record..

After the upgrade to Win10 Creators Update (clean Reset from 
Anniversary). I reinstalled WSL that now is Ubuntu 16.04 and so Emacs. 
The package installed is 24.5.1.

While with previous installation (WSL-Ubuntu 14.04, Emacs-24.3), Emacs 
worked fine, also with the package manager, now it shows the same issues 
I had with Emacs-25 branch or Emacs-master.. It seems I can't 
install/upgrade Elpa/Melpa packages any more...

The only good news is that it seems that Emacs can be built without the 
"echo 0 | sudo tee /proc/sys/kernel/randomize_va_space" workaround..

Any suggestion about how to upgrade Elpa/Melpa packages? I am using 
~/.emacs.d from previous installation and M-x package-list-packages 
shows that there are packages to be upgraded but trying to type "Ux" 
breaks Emacs.

TIA,
  Angelo.

Il 18/12/2016 14:07, Angelo Graziosi ha scritto:
> I recently enabled and installed WSL (Windows Subsystem for Linux) in
> Windows 10 [1] and so tried to build Emacs.
>
> Building Emacs master hangs [2]. So tried emacs-25 branch (+release and
> testing). This branch builds if one adopts the work around suggested in
> /et/PROBLEMS and from the WEB [3]:
>
> echo 0 | sudo tee /proc/sys/kernel/randomize_va_space
> ./autogen.sh
> ./configure --prefix=/opt/emacs --without-x
> make...
>
> It also seems to work but trying to install packages from MELPA/ELPA fails.
>
> More precisely, in emacs25:
>
> M-x package-list-packages
>
> After the "Package refresh done" I cannot type anything nor I can quit
> (C-x C-c). If I do, for example pressing the down arrow key, in the
> packages buffer I see something like this
>
> [...]
> [1]+  Stopped                 emacs25ailable  melpa      No description
> available...
> angelo@MYPC~   20151026.1233 available  melpa      play 2048 in Emacs..
> $ 4clojure           20131014.1507 available  melpa..
> [...]
>
> At this point I can only try to kill Emacs. It is as if Emacs were
> reduced to background (C-z), and a 'fg' seems to resurrect it but is
> unusable (I have to close the WSL bash window).
>
> Now, at the moment, enabling and installing WSL installs Ubuntu 14.04
> and one can install other Ubuntu packages with apt-get. So I installed
> the emacs24-nox packages which works without this Packages manager issue!
>
> Then for sanity check I did a build of emacs-24.3.tar.gz (the same
> version offered by WSL-Ubuntu) and it works as expected (also the
> packages Manager).
>
> So the issue seems to regards only emacs-25 branch.
>
>
> Ciao,
>  Angelo.
>
>
> -----
> [1] https://msdn.microsoft.com/it-it/commandline/wsl/install_guide
>     https://msdn.microsoft.com/it-it/commandline/wsl/faq
>
> [2] http://lists.gnu.org/archive/html/emacs-devel/2016-12/msg00427.html
>
> [3]
> http://stackoverflow.com/questions/38905344/windows-bash-emacs-build-fail-memory-protection-enabled
>